el
clear all;
close all;
s1 = serial('COM7');                            %define serial port
s1.BaudRate=9600;                               %define bite rate
display('Bienvenido a su programa de toma de medidas v1.0')
puntos = input('Cuantos puntos de medida desea tomar?');
periodo = input('Cada cuantos segundos desea que se tome su medida?'); % distinto de 0, periodo en segundos de cada toma de datos, cuantos segundos por punto se desean ej periodo = 60; quiere decir 1 punto por minuto
double matriz(puntos);
%open serial port
fopen(s1);
clear data;
for i= 1:puntos                     %acquisition of 50 points
    data=fscanf(s1);                         %read sensor
    y(i) = str2double(data);
    plot(i,y(i),'.-r')
    title('intervalos de muestra');
    xlabel({'Ultimo dato tomado a las:';(datestr(now,13))});
    ylabel({'potencia de entrada';y(i)});
    drawnow;
    grid on
    hold on
    matriz(i)=y(i);
    pause(periodo);
end

fclose(s1);
display('El programa ha terminado de tomar las medidas.')
guardar=input('Desea guardar esta sesin?(si=1/no=2)');
if (guardar==1)
display('Al guardar se crear un archivo en su carpeta MATLAB,')
display('recuerde tener cerrado el archivo donde se va a guardar su')
display('toma de datos, y no sobreescribir hojas del libro de excel')
file=input('Cual es el nombre del archivo: ','s');
hoja=input('Hoja en la que deseas trabajar: ','s');

desc=[{'Tiempo(s)'},{'datos recabados'}];

[estado]=xlswrite(file,desc,hoja,'A1');

if estado==0
    disp('La creacion del archivo ha fallado.');
end

muestras=[1:puntos]';
[estado]=xlswrite(file,(muestras*periodo),hoja,'A2');

if estado==0
    disp('La creacion del archivo ha fallado.');
end
valor=matriz(1:puntos)';
[estado]=xlswrite(file,valor,hoja,'B2');

if estado==0
    disp('La creacion del archivo ha fallado.');
end
temp=(1.8).*valor+32;

[estado]=xlswrite(file,temp,hoja,'C2');

if estado==0
    disp('La creacion del archivo ha fallado.');
end
end
% close the serial port
